using System.IO;
using ThinkGeo.Core;
var message = ""; 

File.WriteAllText("/app/Logs.txt", "Starting Container and Application.");

var builder = WebApplication.CreateBuilder(args);
var app = builder.Build();


File.WriteAllText("/app/Logs.txt", message);

//File.Copy($"/app/native/libgdal.so", $"/app/bin/Debug/net8.0/runtimes/linux-x64/native/libgdal.so", true);

try
{
    var doesFileExist = File.Exists("JasonMontana1.kml");
    message += "Does the File Exist? " + doesFileExist +". ";

    var creationTime = File.GetCreationTime("JasonMontana1.kml");
    message += "When was the file created? " + creationTime.ToLongTimeString() + ". ";

    var kmlFeatureLayerSource = new GdalFeatureSource("JasonMontana1.kml", FileAccess.Read);
    //var kmlFeatureLayerSource = new GdalFeatureSource("JasonMontana1.kml", FileAccess.Read);
    kmlFeatureLayerSource.Open();

    var features = kmlFeatureLayerSource.GetAllFeatures(ReturningColumnsType.AllColumns);

    if (features.Any())
    {
        message += "Success, found " + features.Count() + " feature(s)";
    }
    else
    {
        message += "No features found.";
    }
}
catch (Exception ex)
{
    message += ex.ToString();
    File.WriteAllText("/app/Logs.txt", message);
}

app.MapGet("/", () => message);
app.Run();